/* Scrutari - Copyright (c) 2008-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.admin.htmlpages;

import fr.exemole.sctserver.api.SctEngine;
import fr.exemole.sctserver.api.storage.LogStorage;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;
import net.mapeadores.util.primitives.FuzzyDate;


/**
 *
 * @author Vincent Calame
 */
public class JournalPage extends AdminHtmlPage {

    private final FuzzyDate date;

    public JournalPage(SctEngine engine, FuzzyDate date) {
        init(engine);
        this.date = date;
    }

    @Override
    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printTools();
        startH1(null);
        escape(date);
        endH1();
        LogStorage logStorage = engine.getEngineStorage().getLogStorage();
        FuzzyDate[] jourArray = logStorage.getDateArray(FuzzyDate.DAY_TYPE, date);
        int length = jourArray.length;
        for (int i = 0; i < length; i++) {
            printJour(jourArray[i], logStorage);
        }
        end();
    }

    private void printJour(FuzzyDate dayDate, LogStorage logStorage) {
        startH2(null);
        append(dayDate.getDay());
        endH2();
        String content = logStorage.getQLog(dayDate);
        startPre(null);
        escape(content, true);
        endPre();
    }

}
