/* Scrutari - Copyright (c) 2008-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.admin.htmlpages;

import fr.exemole.sctserver.api.SctEngine;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;
import net.mapeadores.util.html.HA;
import net.mapeadores.util.html.HTMLAttributes;
import net.mapeadores.util.primitives.FuzzyDate;


/**
 *
 * @author Vincent Calame
 */
public class JournauxPage extends AdminHtmlPage {

    public JournauxPage(SctEngine engine) {
        init(engine);
    }

    @Override
    public void handleResponse(HttpServletResponse response) throws IOException {
        initResponse(response);
        start();
        printTools();
        FuzzyDate[] moisArray = engine.getEngineStorage().getLogStorage().getDateArray(FuzzyDate.MONTH_TYPE, null);
        startH1(null);
        localize("_ title.admin.searchlog_month");
        endH1();
        HTMLAttributes aAttr = HA.href("");
        for (FuzzyDate mois : moisArray) {
            String moisString = mois.toString();
            String href = "journal_" + moisString + ".html";
            startP();
            startA(aAttr.href(href));
            escape(moisString);
            endA();
            endP();
        }
        end();
    }

}
