/* Scrutari - Copyright (c) 2011-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.servlets.admin.htmlpages.utils;

import fr.exemole.sctserver.servlets.admin.htmlpages.AdminHtmlPage;
import net.mapeadores.util.html.HA;
import net.scrutari.datauri.ScrutariDataURI;
import net.scrutari.db.api.codes.ScrutariDataURICodeList;


/**
 *
 * @author Vincent Calame
 */
public final class UriCodesPrint {

    private UriCodesPrint() {
    }

    public static void printUriCodes(AdminHtmlPage page) {
        ScrutariDataURICodeList initialScrutariDataURICodeList = page.getEngine().getEngineStorage().getConfDirectory().getInitialScrutariDataURICodeList(null);
        if (initialScrutariDataURICodeList == null) {
            page.startP();
            page.startSpan(HA.classes("scrutari-admin-Info"));
            page.localize("_ info.sctconf.none_uricodes");
            page.endSpan();
            page.endP();
        } else {
            page.startUl();
            int count = initialScrutariDataURICodeList.getCodeCount();
            for (int i = 0; i < count; i++) {
                int code = initialScrutariDataURICodeList.getCode(i);
                ScrutariDataURI scrutariDataURI = initialScrutariDataURICodeList.getScrutariDataURI(i);
                page.startLi();
                page.startCode();
                page.append(code);
                page.escape(" = ");
                page.escape(scrutariDataURI.toString());
                page.endCode();
                page.endLi();
            }
            page.endUl();
        }
    }

}
