/* ScrutariLib_SearchEngine - Copyright (c) 2013-2015 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.searchengine.api.operands.search;

import net.mapeadores.util.logicaloperation.Operand;
import net.scrutari.searchengine.api.CanonicalQ;


/**
 *
 * @author Vincent Calame
 */
public interface SearchOperation {

    /**
     * Instance de SubOperand, SearchTokenOperand ou AllOperand. Les instances
     * de SubOperand ne doivent contenir également que des instances de
     * SubOperand et SearchTokenOperand (et pas de AllOperand).
     */
    public Operand getRootOperand();

    /**
     * Retourne le numéro d'opérande maximum, les instances de
     * SearchTokenOperand retrouvé via une itération sur getRootOperand doivent
     * avoir un numéro entre 1 et getSearchTokenOperandMaxNumber()
     */
    public int getSearchTokenOperandMaxNumber();

    public CanonicalQ getCanonicalQ();

}
