/* ScrutariLib_SearchEngine - Copyright (c) 2014-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.searchengine.api.options;

import net.scrutari.db.api.codes.CodeList;
import net.scrutari.db.api.codes.ElementCodeList;
import net.scrutari.searchengine.api.operands.eligibility.Eligibility;


/**
 *
 * @author Vincent Calame
 */
public interface SearchOptions {

    /**
     * Cas particulier où la recherche doit porter sur un ensemble de fiches
     * précis getCorpusCodeList() est censé être cohérent avec getFicheCodeList
     * (c'est à dire ne contenir que les corpus qui ont des fiches dans
     * getFicheCodeList) Null si non pertinent
     */
    public ElementCodeList getFicheCodeList();

    /**
     * Cette liste est une construction à partir des différentes options de la
     * recherche.
     */
    public CodeList getCorpusCodeList();

    /**
     * Cette liste est une construction à partir des différentes options de la
     * recherche.
     */
    public CodeList getThesaurusCodeList();

    public Eligibility getFicheEligibility();

    public SearchOptionsDef getSearchOptionsDef();

}
