/* SctServer_API - Copyright (c) 2009-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.api.conf;

import fr.exemole.sctserver.api.EngineMetadata;
import fr.exemole.sctserver.api.collect.ScrutariSourceDef;
import fr.exemole.sctserver.api.feed.SctFeedMetadata;
import java.util.Map;
import net.mapeadores.util.attr.AttributeDefList;
import net.scrutari.data.DataValidator;
import net.scrutari.datauri.ScrutariDataURIChecker;
import net.scrutari.db.api.codes.ScrutariDataURICodeList;
import net.scrutari.searchengine.api.options.CategoryDef;
import net.scrutari.searchengine.api.options.PertinencePonderation;


/**
 *
 * @author Vincent Calame
 */
public interface ConfDirectory {

    public ScrutariSourceDef[] getScrutariSourceDefArray();

    public EngineMetadata getEngineMetadata();

    /**
     * Doit être nul ou contenir au moins un élément portant le nom _default.
     */
    public CategoryDef[] getCategoryDefArray();

    public PertinencePonderation getGlobalPertinencePonderation();

    public ConfFileInfo getConfFileInfo(String name);

    public void reload() throws ConfIOException;

    public ScrutariDataURICodeList getInitialScrutariDataURICodeList(ScrutariDataURIChecker checker);

    public SctFeedMetadata getSctFeedMetadata();

    public Map<String, AttributeDefList> getAttributeDefListMap();

    public DataValidator getDataValidator();

}
