/* SctServer - Copyright (c) 2015-2016 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.json;

import java.io.IOException;
import net.mapeadores.util.json.JSONWriter;
import net.mapeadores.util.localisation.Lang;
import net.scrutari.db.api.codes.CodeList;
import net.scrutari.searchengine.api.options.Category;
import net.scrutari.searchengine.api.options.CategoryDef;
import net.scrutari.searchengine.tools.options.OptionsUtils;


/**
 *
 * @author Vincent Calame
 */
public final class CategoryJson {

    private CategoryJson() {

    }

    public static void object(JSONWriter jsonWriter, Category category, Lang langUi, boolean withStats) throws IOException {
        CategoryDef categoryDef = category.getCategoryDef();
        jsonWriter.object();
        jsonWriter.key("rank");
        jsonWriter.value(categoryDef.getRank());
        jsonWriter.key("name");
        jsonWriter.value(categoryDef.getName());
        jsonWriter.key("title");
        jsonWriter.value(OptionsUtils.checkLabelString(categoryDef, langUi, categoryDef.getName()));
        if (withStats) {
            jsonWriter.key("stats");
            jsonWriter.object();
            JsonUtils.addCountStats(jsonWriter, category.getCountStats());
            JsonUtils.addFicheStats(jsonWriter, category.getFicheStats());
            jsonWriter.endObject();
        }
        CodeList corpusCodeList = category.getCorpusCodeList();
        int corpusCount = corpusCodeList.getCodeCount();
        jsonWriter.key("codecorpusArray");
        jsonWriter.array();
        for (int i = 0; i < corpusCount; i++) {
            jsonWriter.value(corpusCodeList.getCode(i));
        }
        jsonWriter.endArray();
        jsonWriter.endObject();
    }

}
