/* UtilLib - Copyright (c) 2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.mapeadores.util.html;


/**
 *
 * @author Vincent Calame
 */
public class CommandBoxParametersBuilder {

    private InternalCommandBoxParameters commandBoxParameters = new InternalCommandBoxParameters();

    public CommandBoxParametersBuilder() {
    }

    public void setFieldsetAttributes(HTMLAttributes fieldsetAttributes) {
        commandBoxParameters.fieldsetAttributes = fieldsetAttributes;
    }

    public void setFormAttributes(HTMLAttributes formAttributes) {
        commandBoxParameters.formAttributes = formAttributes;
    }

    public void setCommandKeyDivAttributes(HTMLAttributes commandKeyDivAttributes) {
        commandBoxParameters.commandKeyDivAttributes = commandKeyDivAttributes;
    }

    public void setLegendAttributes(HTMLAttributes legendAttributes) {
        commandBoxParameters.legendAttributes = legendAttributes;
    }

    public void setSubmitDivAttributes(HTMLAttributes submitDivAttributes) {
        commandBoxParameters.submitDivAttributes = submitDivAttributes;
    }

    public CommandBoxParameters toCommandBoxParameters() {
        return commandBoxParameters;
    }


    private static class InternalCommandBoxParameters implements CommandBoxParameters {

        private HTMLAttributes formAttributes;
        private HTMLAttributes fieldsetAttributes;
        private HTMLAttributes legendAttributes;
        private HTMLAttributes commandKeyDivAttributes;
        private HTMLAttributes submitDivAttributes;

        private InternalCommandBoxParameters() {
        }

        public HTMLAttributes getFieldsetAttributes() {
            return fieldsetAttributes;
        }

        public HTMLAttributes getLegendAttributes() {
            return legendAttributes;
        }

        public HTMLAttributes getCommandKeyDivAttributes() {
            return commandKeyDivAttributes;
        }

        public HTMLAttributes getFormAttributes() {
            return formAttributes;
        }

        public HTMLAttributes getSubmitDivAttributes() {
            return submitDivAttributes;
        }

    }

}
